Author Topic: Can anyone upgrade CKeditor?  (Read 112867 times)

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #100 on: January 10, 2014, 10:34:49 PM »
Hi,

The "browse on server" function (images, files) doesn't work out of the box.
I forgot to tell: my report was based on a clean WB 2.8.4 with the clean CKE from above. So everything default and new.
can confirm the problem for IE11 (browser detection) but can't confirm any relation to wb284.
Should be fixed now:
Quote from: info.php
*  version 4.3.1.2 140110
 *  ! filemanager works with IE11 now, reported by argos: http://www.WebsiteBaker.org/forum/index.php/topic,17913.msg182267.html#msg182267

regards

Edith 1: thanks to all the other positive reports too. I really appreciate them :).

Edith 2: find updated version below
« Last Edit: January 31, 2014, 09:57:29 PM by marmot »

Offline Argos

  • Posts: 2542
  • Gender: Male
    • Argos Media
Re: Can anyone upgrade CKeditor?
« Reply #101 on: January 11, 2014, 10:27:48 AM »
Confirmed! It works fine now in IE11. Thanks.
Jurgen Nijhuis
Argos Media
Heiloo, The Netherlands
----------------------------------------------------------------
Please don't request personal support, use the forums!

Offline nibz

  • Posts: 683
  • Gender: Male
Re: Can anyone upgrade CKeditor?
« Reply #102 on: January 17, 2014, 12:52:18 PM »

Quote from: info.php
*  version 4.3.1.2 140110
 *  ! filemanager works with IE11 now, reported by argos: http://www.WebsiteBaker.org/forum/index.php/topic,17913.msg182267.html#msg182267
[/quote]

Updated the addons repo to this last version :)

Offline Luisehahne

  • WebsiteBaker Org e.V.
  • **
  • Posts: 4368
  • Gender: Male
    • Webdesign und Entwicklung WebsiteBaker
Re: Can anyone upgrade CKeditor?
« Reply #103 on: January 17, 2014, 02:00:21 PM »
Due to the security issues the add-on Repostory is locked

Dietmar
Immer nur von der Zukunft reden, die Gegenwart vergessen und auf die Vergangenheit schimpfen
Neues Unwort: Schnappatmung

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #104 on: January 17, 2014, 06:59:25 PM »
Hi,

Due to the security issues the add-on Repostory is locked
as these issue is posted in the cke thread I just want to note that it is not related to cke as far as I know by now.

regards

Offline tiggerific

  • Posts: 34
Re: Can anyone upgrade CKeditor?
« Reply #105 on: January 18, 2014, 07:34:01 AM »
After upgrading CKEditor, I'm no longer able to "Upload" files or Create New Folder from ckeditor admin area. Any ideas?

Edit: Don't worry - I found that information back on page 2 of this thread :)

« Last Edit: January 18, 2014, 08:08:33 AM by tiggerific »

jacobi22

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #106 on: January 22, 2014, 06:39:03 PM »
found a little problem in wblink-dialog, if your choice is a topic-section (ckeditor/ckeditor/plugins/wblink/pages.php // line 94)

Code: [Select]
<?php
$topics 
$database->query("SELECT title, link FROM ".TABLE_PREFIX."mod_topics WHERE active=1 AND section_id = ".$section['section_id']);

its possible, that a topic has other values for the field "active" - from 0 to 6

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #107 on: January 22, 2014, 08:06:36 PM »
Hi,

forgot to update pages.php will be done in next version.

regards

here we are:
Quote from: info.php
*  version 4.3.2 140131
 *  + using cke 4.3.2 full
 *  ! bug in wbsave plugin
 *  ! bug in wblink plugin reported by instantflorian and jacobi22 http://www.WebsiteBaker.org/forum/index.php/topic,25334.msg184283.html#msg184283

Edith: find latest version down below
« Last Edit: March 05, 2014, 08:54:34 PM by marmot »

Offline Hartmut

  • Posts: 14
link bug not solved?
« Reply #108 on: February 13, 2014, 03:00:15 PM »
Hello I use WebsiteBaker v2.8.3 r1638 at 2 different servers and have at one server problems with your CKeditor (v4.3.2.1 and v4.3.2). The problem is already know, white screen when I try to open the link menu. I thought this bug was already fixed? Could eventually another php-version be the problem, because your CKeditor v4.3.2.1 works at the another server like a charm?! It would be nice to have code highlighting and the same editor at both servers.
« Last Edit: February 13, 2014, 03:02:23 PM by Hartmut »

Offline marmot

  • Posts: 1103
Re: link bug not solved?
« Reply #109 on: February 13, 2014, 11:15:49 PM »
Hi,

thanks for reporting.
I thought this bug was already fixed?
I fixed a bug like this but that doesn't mean there are no more bugs in it ;).
Quote
Could eventually another php-version be the problem, because your CKeditor v4.3.2.1 works at the another server like a charm?!
a lot of reasons are possible and because of that I can only offer you to have a look at the problem when getting admin and ftp access to the problem site as long as I can't retrace the problem myself.

regards

Offline tiggerific

  • Posts: 34
Re: Can anyone upgrade CKeditor?
« Reply #110 on: March 02, 2014, 01:16:44 AM »
I'm having this same problem with 4.3.1 as well - where the WBLINK icon works fine on one install and not on the other. The exact error on the non-working one is

Error: ReferenceError: InternPagesSelectBo x is not defined
Source File: http://growpartnerships.com/2014/modules/ckeditor/ckeditor/plugins/wblink/dialogs/wblink.js?t=DBAA
Line: 374

The only difference I have found between these two installs is that the working one is listed as:

CMS Version 2.8.3
Revision 1638
Admin version 1.6

The one that doesn't work is listed as:

CMS Version 2.8.3 SP1
Revision 1638
Admin version 1.6

Was there a change when SP1 was added? The revision is the same. Any help tracking down this error would be really good. Thanks :)


jacobi22

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #111 on: March 02, 2014, 01:55:32 AM »
Quote
The only difference I have found between these two installs is that the working one is listed as:

CMS Version 2.8.3
Revision 1638
Admin version 1.6

The one that doesn't work is listed as:

CMS Version 2.8.3 SP1
Revision 1638
Admin version 1.6

Was there a change when SP1 was added? The revision is the same. Any help tracking down this error would be really good. Thanks Smiley


the only different is the header-Template (header.htt) from the admin-theme. in older WB-Version was there no Output for a ServicePack-Number.
Code from the old header.htt
Code: [Select]
       <td class="version">
        Version {VERSION}<br />
    Revision {REVISION}
        </td>
</tr>

Code from the 2.8.3 header.htt
Code: [Select]
<td class="version">
        Version {VERSION} {SP}<br />
    Revision {REVISION}
        </td>
</tr>
The upgrade-instruction says: delete the folder template/wb_theme
but only, if you make an update from wb 2.8.x to wb.2.8.3, but not in update from wb 2.7.x to 2.8.3

thats all

i'm sure, you work with the 2.7.x-header.htt on the wb with no SP1

and your InternPagesSelectBo x-Error

this variable is defined in modules/ckeditor/plugins/wblink/pages.php
for a test... rename this file and copy the same file from the working installation

Offline tiggerific

  • Posts: 34
Re: Can anyone upgrade CKeditor?
« Reply #112 on: March 02, 2014, 03:27:02 AM »

and your InternPagesSelectBo x-Error

this variable is defined in modules/ckeditor/plugins/wblink/pages.php
for a test... rename this file and copy the same file from the working installation

When I said they are using the exact same version of CKE - I mean I zipped up the one on the working one, and installed it on the non-working one. They are exactly the same files.

I got tired of trying to find any differences between them, so I uninstalled the one on "SP1" and installed a copy from the working version.



Offline tiggerific

  • Posts: 34
Re: Can anyone upgrade CKeditor?
« Reply #113 on: March 02, 2014, 03:33:45 AM »
Quote
the only different is the header-Template (header.htt) from the admin-theme. in older WB-Version was there no Output for a ServicePack-Number.

And I only ever use the Argos theme - the header.htt on both sites has the following:

Code: [Select]
<span class="version">CMS Version {VERSION} {SP}</span><br/>
So I'm guessing, it's more like the SP number just didn't exist in the earlier one.


Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #114 on: March 02, 2014, 01:27:31 PM »
Hi,

thanks for reporting.
I'm having this same problem with 4.3.1 as well - where the WBLINK icon works fine on one install and not on the other.
please always test the latest version (4.3.2), although I don't this will help here
Quote
The exact error on the non-working one is
Error: ReferenceError: InternPagesSelectBo x is not defined
Source File: http://growpartnerships.com/2014/modules/ckeditor/ckeditor/plugins/wblink/dialogs/wblink.js?t=DBAA
Line: 374
that's fine but doesn't help to much as I have to take a look at the creation of the variable during runtime
Quote
Was there a change when SP1 was added? The revision is the same. Any help tracking down this error would be really good. Thanks :)
I don't think that this problem depends on SP1.
If you really want help please grant admin and ftp rights to the site with the error.

regards

jacobi22

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #115 on: March 02, 2014, 02:02:03 PM »
Quote
the only different is the header-Template (header.htt) from the admin-theme. in older WB-Version was there no Output for a ServicePack-Number.
And I only ever use the Argos theme - the header.htt on both sites has the following:
Code: [Select]
<span class="version">CMS Version {VERSION} {SP}</span><br/>So I'm guessing, it's more like the SP number just didn't exist in the earlier one.


only in the wb. 2.8.4 the file framework / class.admin.php read the settings and set the placeholder.
in wb 2.8.3 in the line 134, in wb 2.8.4 in line 180
Code: [Select]
'SP' => (defined('SP') ? SP : ''),the database entry for that is in the table "settings" on page 2 in the field wb_sp

in wb 2.8.3 the class.admin.php read the file admin/interface/version.php, so take a look into this file and search for a code like this
Code: [Select]
if(!defined('SP')) define('SP', 'SP1');
if you start the upgrade-script after your upgrade, this script read the file admin/interface/version.php and write the version and the SP into the database, but wb doesnt use this value directly from the database

Offline tiggerific

  • Posts: 34
Re: Can anyone upgrade CKeditor?
« Reply #116 on: March 03, 2014, 01:24:10 AM »
I don't think that this problem depends on SP1.
If you really want help please grant admin and ftp rights to the site with the error.
regards

I'm happy to do that, as I would like to resolve this issue. Nobody has yet asked me to provide that information and I'm not sure who I should send it to. I'm obviously not going to post the info in the forum.

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #117 on: March 03, 2014, 06:37:03 PM »
Hi,

.. and I'm not sure who I should send it to. I'm obviously not going to post the info in the forum.
simply send me a pm.

regards

Offline tiggerific

  • Posts: 34
Re: Can anyone upgrade CKeditor?
« Reply #118 on: March 05, 2014, 12:23:51 AM »
For anyone else who has had the problem of the Link button not loading the dialog, in my case at least, it turned out that several page titles (in fact news post titles) contained special characters. By special characters I mean those such as dashes and spaces which have been saved to the database as some ASCII/HTML/foreign equivalent.

In other words, the presence of these characters are not visible in the WB pages or news lists, but can be clearly seen in the page titles present in the database.

If you are still having this issue with the latest version, perhaps check your DB for page titles containing special characters and change them back to their text equivalent. This resolved the problem for me.

Thanks to marmot for his suggestion in tracking this down.


Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #119 on: March 05, 2014, 08:53:01 PM »
Hi,

the experiences with the problems of tiggerific inspired me to try something new for the wblink plugin. Here we are:
Quote
*  version 4.3.3 140303
 *  + using cke 4.3.3 full
 *  ! update wblink plugin
 *  ! because of consecutive problems wblink plugin allows now only a definded set of characters for page item selection

reagrds

Edith: find latest version below
« Last Edit: April 09, 2014, 09:35:09 PM by marmot »

Offline Ruud

  • Posts: 3649
  • Gender: Male
  • Do not use PM for help! Please use the forum!
    • Dev4Me - Professional WebsiteBaker Development
Re: Can anyone upgrade CKeditor?
« Reply #120 on: March 10, 2014, 11:34:09 PM »

Offline gucci

  • Posts: 59
Re: Can anyone upgrade CKeditor?
« Reply #121 on: March 24, 2014, 12:47:57 PM »
Hallo marmot,

as described in the  "readme-faq.txt" I tried to integrate the editor.css.

editor.css
   1) _yourwbinstallation _/templates/_yourdefaulttemplate_/editor.css
   2) _yourwbinstallation _/templates/_yourdefaulttemplate_/css/editor.css
   3) _yourwbinstallation _/templates/_yourdefaulttemplate_/editor/editor.css
   4) _yourwbinstallation _/templates/wb_config/editor.css
   5) _yourwbinstallation _/modules/ckeditor/wb_config/editor.css


I have copied the editor.css in all folders but no style is visible in the editors drop-down-menu.
How does this work?

regards

gucci



jacobi22

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #122 on: March 24, 2014, 01:08:41 PM »
the editor.css set only css-styles for fonts and element in the selected code. its like the css-file for your frontend in the template folder, but works only in the editor area

what you need for your "private styles", is a editor.styles.js somewhere in your wb - recommened in the template folder - look into the ckeditor / wb_config-Folder for a example file

Offline gucci

  • Posts: 59
Re: Can anyone upgrade CKeditor?
« Reply #123 on: March 24, 2014, 05:04:09 PM »
O.k.

Solution:
Copy the names of your styles into editor.styles.js below /* Block Styles */

Example:
   { name : 'Textstyle1'         , element : 'span', attributes :  { 'class' : 'Textstyle1' } },
   { name : 'Textstyle2'         , element : 'span', attributes :  { 'class' : 'Textstyle2' } },
         ....

Thanks to jacobi22

jacobi22

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #124 on: March 24, 2014, 05:33:30 PM »
tip - the same proccedur, if you want some "individual" editor templates - take a look to ckeditor / wb_config-Folder and there to the file editor.templates.js

 

postern-length